#pragma once
#include "domain/serial_number.h"
#include "domain/software_version.h"
#include <sstream>

namespace spin
{
    struct BridgeInfo
    {
        BridgeInfo(SerialNumber serialNumber, SoftwareVersion softwareVersion)
            : serialNumber_(serialNumber), softwareVersion_(softwareVersion) {}

        inline friend std::ostream &operator<<(std::ostream &out, const BridgeInfo &bridgeInfo)
        {
            out << "serialNumber: " << bridgeInfo.serialNumber_;
            out << "softwareVersion: " << bridgeInfo.softwareVersion_;
            return out;
        }

        std::string toString() const
        {
            std::ostringstream oss;
            oss << *this;
            return oss.str();
        }

        SerialNumber serialNumber_;
        SoftwareVersion softwareVersion_;
        // TODO: SoftwareVersion minCbunVersion_
    };
    
} // namespace spin
